import Router from 'next/router'

export default function Hero() {

  const redirect = (url: string) => {
    const {pathname} = Router
    Router.push(url)
  }

  return (
    <div className="bg-white">
      <div className="relative isolate px-6 pt-14 lg:px-8">
        <div className="mx-auto max-w-2xl py-32 sm:py-48 lg:py-56">
          <div className="text-center">
            <h1 className="text-4xl font-bold tracking-tight text-c-pink sm:text-6xl">
              Welcome to Daily
            </h1>
            <p className="mt-6 text-lg leading-8 text-black">
              Hello there! Welcome to Daily - a social media plaform focussed on finding the answers to sometimes weird, always wonderful yet totally random daily thoughts. 
            </p>
            <div className="mt-10 flex items-center justify-center gap-x-6">
              <a
                href="/register"
                className="rounded-md bg-c-pink px-3.5 py-2.5 text-sm font-semibold text-white shadow-sm hover:bg-white hover:text-c-pink focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-pink-400"
              >
                Sign Up
              </a>
              <a href="signIn" className="text-sm font-semibold leading-6 text-c-pink">
                Log In <span aria-hidden="true">→</span>
              </a>
            </div>
          </div>
        </div>
      </div>
    </div>
  )
}
