import { User } from "@/types/user"
import { FC, PropsWithChildren } from "react"

type LikeStackProps = {
  Users: User[]
}

const LikeStack:FC<PropsWithChildren<LikeStackProps>> = ({
  Users
}) => {

  return (
    <>
      <div className="flex -space-x-1 overflow-hidden items-center">
        {Users.map((user, index) => {
          if(index < 3){
            return (
              <div>
                <img
                  className="inline-block h-6 w-6 rounded-full ring-2 ring-white"
                  src={user.Avatar}
                  alt=""
                />
              </div>
            )
          } else if (index === 3) {
            return (
              <div className="inline-block h-6 w-6 rounded-full ring-2 ring-white bg-gray-100 flex items-center justify-center">
                <p className="text-c-pink text-xs">{`+${Users.length - 4}`}</p>
              </div>
            )
          } else {
            return (null)
          }
        })}
        
      </div>
    </>
  )
}

export default LikeStack;